      DOUBLE PRECISION FUNCTION XLOWER(I)
      INTEGER I
      IF( I.EQ.1 ) THEN
        XLOWER = 2.0D0
      ELSE IF( I.EQ.2 ) THEN
        XLOWER = 6.0D0
      ELSE IF( I.EQ.3 ) THEN
        XLOWER = 0.0D0
      ELSE
        XLOWER = -1.0D20
      ENDIF
      RETURN
      END
